Package org.kapott.hbci.sepa.jaxb.camt_052_001_03

# Class OrganisationIdentification8

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_03.OrganisationIdentification8

public class OrganisationIdentification8 extends Object

Java class for OrganisationIdentification8 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OrganisationIdentification8">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AnyBIC" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}AnyBICIdentifier" minOccurs="0"/>
             <element name="Othr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}GenericOrganisationIdentification1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`anyBIC`
`protected List<GenericOrganisationIdentification1>`
`othr`

## Constructor Summary

Constructors
Constructor
Description
`OrganisationIdentification8()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAnyBIC()`
Gets the value of the anyBIC property.
`List<GenericOrganisationIdentification1>`
`getOthr()`
Gets the value of the othr property.
`void`
`setAnyBIC(String value)`
Sets the value of the anyBIC property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### anyBIC

protected String anyBIC

### othr

protected List<GenericOrganisationIdentification1> othr

## Constructor Details

### OrganisationIdentification8

public OrganisationIdentification8()

## Method Details

### getAnyBIC

public String getAnyBIC()
Gets the value of the anyBIC property.

Returns:
  possible object is `String`

### setAnyBIC

public void setAnyBIC(String value)
Sets the value of the anyBIC property.

Parameters:
  `value` - allowed object is `String`

### getOthr

public List<GenericOrganisationIdentification1> getOthr()
Gets the value of the othr property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the othr property.

For example, to add a new item, do as follows:

        getOthr().add(newItem);

Objects of the following type(s) are allowed in the list `GenericOrganisationIdentification1`